<?php


/**


 * @package     Joomla.Administrator


 * @subpackage  com_award_manager


 *


 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.


 * @license     GNU General Public License version 2 or later; see LICENSE.txt


 */





// No direct access to this file


defined('_JEXEC') or die('Restricted access');





// import the list field type





jimport('joomla.form.helper');


JFormHelper::loadFieldClass('list');





/**


 * HelloWorld Form Field class for the HelloWorld component


 *


 * @since  0.0.1


 */


class JFormFieldCategories extends JFormFieldList


{


	/**


	 * The field type.


	 *


	 * @var         string


	 */


	protected $type = 'categories';





	/**


	 * Method to get a list of options for a list input.


	 *


	 * @return  array  An array of JHtml options.


	 */


	protected function getOptions()


	{


		$db    = JFactory::getDBO();





		$query = $db->getQuery(true);


				//$query->select($db->quoteName(array('nom.catid','cat.path'),array('id','cat_name')));


				$query->select(['DISTINCT nom.catid as id', 'cat.path as cat_name']);


				//$query->from($db->quoteName('#__categories', 'cat'));


				$query->from($db->quoteName('#__award_manager_nominee', 'nom'));


				//$query->where($db->quoteName('cat.extension').' = '.$db->quote('com_award_manager'));


				$query->where($db->quoteName('cat.published') . ' >= 1');


				$query->join('LEFT', $db->quoteName('#__categories', 'cat') . ' ON cat.id = nom.catid');


				//$query->join('LEFT', $db->quoteName('#__award_manager_nominee', 'nom') . ' ON nom.catid = cat.id');


				$query->order('cat.lft ASC');





		$db->setQuery((string)$query);


		$categories = $db->loadObjectList();


		$options = array();





		$options[] = JHtml::_('select.option', '0', '- ' . JText::_('JOPTION_AWARD_MANAGER_SELECT_ALL_CATEGORIES') . ' -');


		if($categories)


		{


			foreach($categories as $category)


			{


				$FormatCat = str_replace(array('-', '/' ), array(' ', ' | '), $category->cat_name);


				$options[] = JHtml::_('select.option', $category->id, ucwords($FormatCat));


			}


		}








		return $options;








	}


}


